## NMIPConfig NMIPConfig |

## Functions

int | nm_ip_config_get_family ()
const char * | nm_ip_config_get_gateway ()
GPtrArray * | nm_ip_config_get_addresses ()
GPtrArray * | nm_ip_config_get_routes ()
const char *const * | nm_ip_config_get_nameservers ()
const char *const * | nm_ip_config_get_domains ()
const char *const * | nm_ip_config_get_searches ()
const char *const * | nm_ip_config_get_wins_servers ()

## Types and Values

#define | NM_IP_CONFIG_FAMILY
#define | NM_IP_CONFIG_GATEWAY
#define | NM_IP_CONFIG_ADDRESSES
#define | NM_IP_CONFIG_ROUTES
#define | NM_IP_CONFIG_NAMESERVERS
#define | NM_IP_CONFIG_DOMAINS
#define | NM_IP_CONFIG_SEARCHES
#define | NM_IP_CONFIG_WINS_SERVERS

## Description

## Functions

### nm_ip_config_get_family ()

    int
    nm_ip_config_get_family (NMIPConfig *config);

### nm_ip_config_get_gateway ()

    const char *
    nm_ip_config_get_gateway (NMIPConfig *config);

### nm_ip_config_get_addresses ()

    GPtrArray *
    nm_ip_config_get_addresses (NMIPConfig *config);

### nm_ip_config_get_routes ()

    GPtrArray *
    nm_ip_config_get_routes (NMIPConfig *config);

### nm_ip_config_get_nameservers ()

    const char *const *
    nm_ip_config_get_nameservers (NMIPConfig *config);

### nm_ip_config_get_domains ()

    const char *const *
    nm_ip_config_get_domains (NMIPConfig *config);

### nm_ip_config_get_searches ()

    const char *const *
    nm_ip_config_get_searches (NMIPConfig *config);

### nm_ip_config_get_wins_servers ()

    const char *const *
    nm_ip_config_get_wins_servers (NMIPConfig *config);

## Types and Values

### NM_IP_CONFIG_FAMILY

    #define NM_IP_CONFIG_FAMILY       "family"

### NM_IP_CONFIG_GATEWAY

    #define NM_IP_CONFIG_GATEWAY      "gateway"

### NM_IP_CONFIG_ADDRESSES

    #define NM_IP_CONFIG_ADDRESSES    "addresses"

### NM_IP_CONFIG_ROUTES

    #define NM_IP_CONFIG_ROUTES       "routes"

### NM_IP_CONFIG_NAMESERVERS

    #define NM_IP_CONFIG_NAMESERVERS  "nameservers"

### NM_IP_CONFIG_DOMAINS

    #define NM_IP_CONFIG_DOMAINS      "domains"

### NM_IP_CONFIG_SEARCHES

    #define NM_IP_CONFIG_SEARCHES     "searches"

### NM_IP_CONFIG_WINS_SERVERS

    #define NM_IP_CONFIG_WINS_SERVERS "wins-servers"